ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-4/configure
(Generate patch)

Comparing trunk/OOPSE-4/configure (file contents):
Revision 2753 by gezelter, Tue May 16 20:38:23 2006 UTC vs.
Revision 2962 by gezelter, Wed Jul 26 21:01:33 2006 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
886 <  --without-zlib to disable zlib usage completely
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888    --with-fftw=DIR         root directory path of fftw installation (defaults
889                            to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
# Line 1431 | Line 1432 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1432  
1433  
1434  
1435 +
1436   # AC_F90_MODULE_NAMES
1437   # -------------------
1438   #
# Line 1624 | Line 1626 | fi
1626   fi
1627  
1628  
1629 + # Check whether --enable-single or --disable-single was given.
1630 + if test "${enable_single+set}" = set; then
1631 +  enableval="$enable_single"
1632 +  ok=$enableval
1633 + else
1634 +  ok=no
1635 + fi;
1636 + # Check whether --enable-float or --disable-float was given.
1637 + if test "${enable_float+set}" = set; then
1638 +  enableval="$enable_float"
1639 +  ok=$enableval
1640 + fi;
1641 + if test "$ok" = "yes"; then
1642 +
1643 + cat >>confdefs.h <<\_ACEOF
1644 + #define SINGLE_PRECISION 1
1645 + _ACEOF
1646 +
1647 +        USE_SINGLE_PRECISION=yes
1648 +
1649 + fi
1650 +
1651   # Checks for programs.
1652   ac_ext=cc
1653   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 1631 | Line 1655 | if test -n "$ac_tool_prefix"; then
1655   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1656   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
1657   if test -n "$ac_tool_prefix"; then
1658 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1658 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1659    do
1660      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1661   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 1673 | Line 1697 | if test -z "$CXX"; then
1697   fi
1698   if test -z "$CXX"; then
1699    ac_ct_CXX=$CXX
1700 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1700 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1701   do
1702    # Extract the first word of "$ac_prog", so it can be a program name with args.
1703   set dummy $ac_prog; ac_word=$2
# Line 2187 | Line 2211 | if test -n "$ac_tool_prefix"; then
2211   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2212   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2213   if test -n "$ac_tool_prefix"; then
2214 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2214 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2215    do
2216      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2217   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2229 | Line 2253 | if test -z "$CC"; then
2253   fi
2254   if test -z "$CC"; then
2255    ac_ct_CC=$CC
2256 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2256 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2257   do
2258    # Extract the first word of "$ac_prog", so it can be a program name with args.
2259   set dummy $ac_prog; ac_word=$2
# Line 2698 | Line 2722 | if test -n "$ac_tool_prefix"; then
2722   ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
2723   ac_compiler_gnu=$ac_cv_fc_compiler_gnu
2724   if test -n "$ac_tool_prefix"; then
2725 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2725 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2726    do
2727      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2728   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2740 | Line 2764 | if test -z "$FC"; then
2764   fi
2765   if test -z "$FC"; then
2766    ac_ct_FC=$FC
2767 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2767 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2768   do
2769    # Extract the first word of "$ac_prog", so it can be a program name with args.
2770   set dummy $ac_prog; ac_word=$2
# Line 2785 | Line 2809 | echo "$as_me:2788:" \
2809  
2810  
2811   # Provide some information about the compiler.
2812 < echo "$as_me:2788:" \
2812 > echo "$as_me:2812:" \
2813       "checking for Fortran compiler version" >&5
2814   ac_compiler=`set X $ac_compile; echo $2`
2815   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 4033 | Line 4057 | FCFLAGS="$FCFLAGS $ac_verb"
4057   # flags.
4058   ac_save_FFLAGS=$FCFLAGS
4059   FCFLAGS="$FCFLAGS $ac_verb"
4060 < (eval echo $as_me:4036: \"$ac_link\") >&5
4060 > (eval echo $as_me:4060: \"$ac_link\") >&5
4061   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4062   echo "$ac_fc_v_output" >&5
4063   FCFLAGS=$ac_save_FFLAGS
# Line 4111 | Line 4135 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4135   # flags.
4136   ac_save_FFLAGS=$FCFLAGS
4137   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4138 < (eval echo $as_me:4114: \"$ac_link\") >&5
4138 > (eval echo $as_me:4138: \"$ac_link\") >&5
4139   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4140   echo "$ac_fc_v_output" >&5
4141   FCFLAGS=$ac_save_FFLAGS
# Line 4847 | Line 4871 | FCFLAGS="$FCFLAGS $ac_verb"
4871   # flags.
4872   ac_save_FFLAGS=$FCFLAGS
4873   FCFLAGS="$FCFLAGS $ac_verb"
4874 < (eval echo $as_me:4850: \"$ac_link\") >&5
4874 > (eval echo $as_me:4874: \"$ac_link\") >&5
4875   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4876   echo "$ac_fc_v_output" >&5
4877   FCFLAGS=$ac_save_FFLAGS
# Line 4925 | Line 4949 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4949   # flags.
4950   ac_save_FFLAGS=$FCFLAGS
4951   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4952 < (eval echo $as_me:4928: \"$ac_link\") >&5
4952 > (eval echo $as_me:4952: \"$ac_link\") >&5
4953   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4954   echo "$ac_fc_v_output" >&5
4955   FCFLAGS=$ac_save_FFLAGS
# Line 5802 | Line 5826 | echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5826   #
5827   # Handle user hints
5828   #
5805 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5806 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5829  
5830   # Check whether --with-zlib or --without-zlib was given.
5831   if test "${with_zlib+set}" = set; then
5832    withval="$with_zlib"
5833 <  if test "$withval" != no ; then
5834 <  echo "$as_me:$LINENO: result: yes" >&5
5835 < echo "${ECHO_T}yes" >&6
5836 <  if test -d "$withval"
5833 >  zlib_dir="$withval"
5834 > else
5835 >                zlib_dir="not_set"
5836 > fi;
5837 > if test "$zlib_dir" != "no"; then
5838 >
5839 > if test "$zlib_dir" != "not_set" ; then
5840 >  if test -d "$zlib_dir"
5841    then
5842 <    ZLIB_HOME="$withval"
5842 >    ZLIB_HOME="$zlib_dir"
5843    else
5844 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5845 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5844 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5845 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5846    fi
5821 else
5822  echo "$as_me:$LINENO: result: no" >&5
5823 echo "${ECHO_T}no" >&6
5847   fi
5825 fi;
5848  
5849   ZLIB_HOME=/usr/local
5850   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6075 | Line 6097 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6097   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6098   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6099  
6078        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6079        then
6080                #
6081                # If both library and header were found, use them
6082                #
6100  
6101 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6102 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6103 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6104 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6088 < else
6089 <  ac_check_lib_save_LIBS=$LIBS
6090 < LIBS="-lz  $LIBS"
6091 < cat >conftest.$ac_ext <<_ACEOF
6092 < /* confdefs.h.  */
6101 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6102 >
6103 > cat >>confdefs.h <<\_ACEOF
6104 > #define HAVE_ZLIB_H 1
6105   _ACEOF
6094 cat confdefs.h >>conftest.$ac_ext
6095 cat >>conftest.$ac_ext <<_ACEOF
6096 /* end confdefs.h.  */
6106  
6107 < /* Override any gcc2 internal prototype to avoid an error.  */
6108 < #ifdef __cplusplus
6100 < extern "C"
6101 < #endif
6102 < /* We use char because int might match the return type of a gcc2
6103 <   builtin and then its argument prototype would still apply.  */
6104 < char inflateEnd ();
6105 < #ifdef FC_DUMMY_MAIN
6106 < #ifndef FC_DUMMY_MAIN_EQ_F77
6107 < #  ifdef __cplusplus
6108 <     extern "C"
6109 < #  endif
6110 <   int FC_DUMMY_MAIN() { return 1; }
6111 < #endif
6112 < #endif
6113 < int
6114 < main ()
6115 < {
6116 < inflateEnd ();
6117 <  ;
6118 <  return 0;
6119 < }
6120 < _ACEOF
6121 < rm -f conftest.$ac_objext conftest$ac_exeext
6122 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6123 <  (eval $ac_link) 2>conftest.er1
6124 <  ac_status=$?
6125 <  grep -v '^ *+' conftest.er1 >conftest.err
6126 <  rm -f conftest.er1
6127 <  cat conftest.err >&5
6128 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6129 <  (exit $ac_status); } &&
6130 <         { ac_try='test -z "$ac_c_werror_flag"
6131 <                         || test ! -s conftest.err'
6132 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6133 <  (eval $ac_try) 2>&5
6134 <  ac_status=$?
6135 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6136 <  (exit $ac_status); }; } &&
6137 <         { ac_try='test -s conftest$ac_exeext'
6138 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6139 <  (eval $ac_try) 2>&5
6140 <  ac_status=$?
6141 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6142 <  (exit $ac_status); }; }; then
6143 <  ac_cv_lib_z_inflateEnd=yes
6144 < else
6145 <  echo "$as_me: failed program was:" >&5
6146 < sed 's/^/| /' conftest.$ac_ext >&5
6147 <
6148 < ac_cv_lib_z_inflateEnd=no
6149 < fi
6150 < rm -f conftest.err conftest.$ac_objext \
6151 <      conftest$ac_exeext conftest.$ac_ext
6152 < LIBS=$ac_check_lib_save_LIBS
6153 < fi
6154 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6155 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6156 < if test $ac_cv_lib_z_inflateEnd = yes; then
6157 <  cat >>confdefs.h <<_ACEOF
6107 >
6108 > cat >>confdefs.h <<\_ACEOF
6109   #define HAVE_LIBZ 1
6110   _ACEOF
6111  
6112 <  LIBS="-lz $LIBS"
6113 <
6114 < fi
6164 <
6165 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6166 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6167 <                echo "$as_me:$LINENO: result: ok" >&5
6168 < echo "${ECHO_T}ok" >&6
6112 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6113 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6114 >                ZLIB="-lz"
6115          else
6170                #
6171                # If either header or library was not found, revert and bomb
6172                #
6116                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6117   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6118 +                ZLIB_INC_DIR=
6119 +                ZLIB_LIB_DIR=
6120 +                ZLIB=
6121                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6122                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6123                  echo "$as_me:$LINENO: result: failed" >&5
6124   echo "${ECHO_T}failed" >&6
6125 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6126 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6127 <   { (exit 1); exit 1; }; }
6125 >                echo ""
6126 >                echo "*********************************************************"
6127 >                echo "* WARNING: Could not find a working zlib installation   *"
6128 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6129 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6130 >                echo "* installation with --with-zlib=DIR                     *"
6131 >                echo "*                                                       *"
6132 >                echo "* OOPSE will still work without zlib installed.         *"
6133 >                echo "*********************************************************"
6134 >                echo ""
6135          fi
6183 fi
6136  
6137  
6138 +
6139 + fi
6140 + fi
6141 +
6142   #
6143   # Handle user hints
6144   #
# Line 6192 | Line 6148 | else
6148    withval="$with_fftw"
6149    fftw_dir="$withval"
6150   else
6151 <                fftw_dir="not_set"
6151 >             fftw_dir="not_set"
6152   fi;
6153   if test "$fftw_dir" != "no"; then
6154 <
6155 < if test "$fftw_dir" != "not_set" ; then
6156 <  if test -d "$fftw_dir"
6157 <  then
6158 <    FFTW_HOME="$fftw_dir"
6203 <  else
6204 <    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6154 >  if test "$fftw_dir" != "not_set" ; then
6155 >    if test -d "$fftw_dir"; then
6156 >      FFTW_HOME="$fftw_dir"
6157 >    else
6158 >      { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6159   echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6160 <  fi
6161 < fi
6208 <
6209 < FFTW_HOME=/usr/local
6210 < if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6211 < then
6160 >      FFTW_HOME=/usr/local
6161 >      if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"; then
6162          FFTW_HOME=/usr
6163 < fi
6164 <
6165 < #
6166 < # Locate fftw, if wanted
6167 < #
6168 < if test -n "${FFTW_HOME}"
6169 < then
6170 <        FFTW_OLD_LDFLAGS=$LDFLAGS
6171 <        FFTW_OLD_CPPFLAGS=$LDFLAGS
6172 <        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6223 <        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6163 >      fi
6164 >    fi
6165 >    #
6166 >    # Locate fftw, if wanted
6167 >    #
6168 >    if test -n "${FFTW_HOME}"; then
6169 >      FFTW_OLD_LDFLAGS=$LDFLAGS
6170 >      FFTW_OLD_CPPFLAGS=$LDFLAGS
6171 >      LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6172 >      CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6173  
6174  
6175 <        ac_ext=c
6175 >      ac_ext=c
6176   ac_cpp='$CPP $CPPFLAGS'
6177   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6178   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6179   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6180  
6181 <        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6181 >      echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6182   echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6183   if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6184    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6307 | Line 6256 | fi
6256    fftw_cv_libfftw3=no
6257   fi
6258  
6259 <        if test "${ac_cv_header_fftw3_h+set}" = set; then
6259 >      if test "${ac_cv_header_fftw3_h+set}" = set; then
6260    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6261   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6262   if test "${ac_cv_header_fftw3_h+set}" = set; then
# Line 6451 | Line 6400 | fi
6400   fi
6401  
6402  
6403 <        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6404 <        then
6456 <                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6403 >      if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"; then
6404 >        echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6405   echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6406   if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6407    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6531 | Line 6479 | fi
6479    fftw_cv_libfftw=no
6480   fi
6481  
6482 <                if test "${ac_cv_header_fftw_h+set}" = set; then
6482 >        if test "${ac_cv_header_fftw_h+set}" = set; then
6483    echo "$as_me:$LINENO: checking for fftw.h" >&5
6484   echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6485   if test "${ac_cv_header_fftw_h+set}" = set; then
# Line 6675 | Line 6623 | fi
6623   fi
6624  
6625  
6626 <                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6627 <                then
6680 <                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6626 >        if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"; then
6627 >          echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6628   echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6629   if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6630    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6755 | Line 6702 | fi
6702    fftw_cv_libdfftw=no
6703   fi
6704  
6705 <                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6705 >          if test "${ac_cv_header_dfftw_h+set}" = set; then
6706    echo "$as_me:$LINENO: checking for dfftw.h" >&5
6707   echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6708   if test "${ac_cv_header_dfftw_h+set}" = set; then
# Line 6899 | Line 6846 | fi
6846   fi
6847  
6848  
6902                fi
6849          fi
6850 <        ac_ext=c
6850 >      fi
6851 >      ac_ext=c
6852   ac_cpp='$CPP $CPPFLAGS'
6853   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6854   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6855   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6856  
6857 +      if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"; then
6858  
6911        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6912        then
6913
6859   cat >>confdefs.h <<\_ACEOF
6860   #define HAVE_FFTW3_H 1
6861   _ACEOF
6862  
6863 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6864 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6865 <                FFTW_LIBS="-lfftw3"
6866 <        else
6867 <        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6923 <        then
6863 >        FFTW_INC_DIR="${FFTW_HOME}/include"
6864 >        FFTW_LIB_DIR="${FFTW_HOME}/lib"
6865 >        FFTW_LIBS="-lfftw3"
6866 >      else
6867 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"; then
6868  
6869   cat >>confdefs.h <<\_ACEOF
6870   #define HAVE_FFTW_H 1
6871   _ACEOF
6872  
6873 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6874 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6875 <                FFTW_LIBS="-lfftw"
6873 >          FFTW_INC_DIR="${FFTW_HOME}/include"
6874 >          FFTW_LIB_DIR="${FFTW_HOME}/lib"
6875 >          FFTW_LIBS="-lfftw"
6876          else
6877 <        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6934 <        then
6877 >          if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"; then
6878  
6879   cat >>confdefs.h <<\_ACEOF
6880   #define HAVE_DFFTW_H 1
6881   _ACEOF
6882  
6883 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6884 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6885 <                FFTW_LIBS="-ldfftw"
6886 <        else
6887 <                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6883 >            FFTW_INC_DIR="${FFTW_HOME}/include"
6884 >            FFTW_LIB_DIR="${FFTW_HOME}/lib"
6885 >            FFTW_LIBS="-ldfftw"
6886 >          else
6887 >            echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6888   echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6889 <                FFTW_INC_DIR=
6890 <                FFTW_LIB_DIR=
6891 <                FFTW_LIBS=
6892 <                LDFLAGS="$FFTW_OLD_LDFLAGS"
6893 <                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6894 <                echo "$as_me:$LINENO: result: failed" >&5
6889 >            FFTW_INC_DIR=
6890 >            FFTW_LIB_DIR=
6891 >            FFTW_LIBS=
6892 >            LDFLAGS="$FFTW_OLD_LDFLAGS"
6893 >            CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6894 >            echo "$as_me:$LINENO: result: failed" >&5
6895   echo "${ECHO_T}failed" >&6
6896 <        echo ""
6897 <        echo "*********************************************************"
6898 <        echo "* WARNING: Could not find a working FFTW installation   *"
6899 <        echo "* If you need the staticProps program to be able to     *"
6900 <        echo "* compute undulation spectra, be sure to specify a      *"
6901 <        echo "* valid fftw installation with --with-fftw=DIR          *"
6902 <        echo "*                                                       *"
6903 <        echo "* OOPSE will still work without fftw installed.         *"
6904 <        echo "*********************************************************"
6905 <        echo ""
6906 <        fi
6964 <        fi
6896 >            echo ""
6897 >            echo "*********************************************************"
6898 >            echo "* WARNING: Could not find a working FFTW installation   *"
6899 >            echo "* If you need the staticProps program to be able to     *"
6900 >            echo "* compute undulation spectra, be sure to specify a      *"
6901 >            echo "* valid fftw installation with --with-fftw=DIR          *"
6902 >            echo "*                                                       *"
6903 >            echo "* OOPSE will still work without fftw installed.         *"
6904 >            echo "*********************************************************"
6905 >            echo ""
6906 >          fi
6907          fi
6908 +      fi
6909  
6910  
6911  
6912 +    fi
6913 +  fi
6914   fi
6970 fi
6915  
6916  
6917  
# Line 13042 | Line 12986 | MPI_INC_DIR="$MPI/include"
12986   MPI_INC_DIR="$MPI/include"
12987  
12988  
12989 +
12990 + ac_ext=c
12991 + ac_cpp='$CPP $CPPFLAGS'
12992 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
12993 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
12994 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
12995  
12996   echo "$as_me:$LINENO: checking for mpi.h" >&5
12997   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
12998   have_mpi_h=0
12999   rm -f conftest*
13000 < echo '#include <mpi.h>' > conftest.cc
13001 < if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
13000 > echo '#include <mpi.h>' > conftest.c
13001 > if ${CC} -I${MPI_INC_DIR} -c conftest.c 2>&1 ; then
13002          echo "$as_me:$LINENO: result: yes" >&5
13003   echo "${ECHO_T}yes" >&6
13004          have_mpi_h=1
# Line 13071 | Line 13021 | have_mpif_h=0
13021  
13022   echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
13023   echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
13024 +
13025 +
13026 + ac_ext=${FC_SRCEXT-f}
13027 + ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5'
13028 + ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
13029 + ac_compiler_gnu=$ac_cv_fc_compiler_gnu
13030 +
13031 + ac_save_ext=$ac_ext
13032 + ac_ext=F90
13033 + ac_save_FCFLAGS=$FCFLAGS
13034   have_mpif_h=0
13035   rm -f conftest*
13036   cat >conftest.$ac_ext <<EOF
# Line 13100 | Line 13060 | fi
13060   _ACEOF
13061  
13062   fi
13063 + FCFLAGS=$ac_save_FCFLAGS
13064 + ac_ext=$ac_save_ext
13065 + ac_ext=c
13066 + ac_cpp='$CPP $CPPFLAGS'
13067 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13068 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13069 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
13070  
13071 +
13072   ac_ext=c
13073   ac_cpp='$CPP $CPPFLAGS'
13074   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 13108 | Line 13076 | LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13076   ac_compiler_gnu=$ac_cv_c_compiler_gnu
13077  
13078   ac_save_LDFLAGS=$LDFLAGS
13079 < LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13079 > LDFLAGS="-L${MPI_LIB_DIR} ${LDFLAGS} "
13080  
13081   if test x = x"$MPI_LIB"; then
13082          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
# Line 13188 | Line 13156 | if test x = x"$MPI_LIB"; then
13156   fi
13157  
13158   fi
13159 + $as_unset ac_cv_lib_mpich_MPI_Init
13160   if test x = x"$MPI_LIB"; then
13161 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13162 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13163 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13161 >        echo "$as_me:$LINENO: checking for MPI_Init in -lpmpich" >&5
13162 > echo $ECHO_N "checking for MPI_Init in -lpmpich... $ECHO_C" >&6
13163 > if test "${ac_cv_lib_pmpich_MPI_Init+set}" = set; then
13164    echo $ECHO_N "(cached) $ECHO_C" >&6
13165   else
13166    ac_check_lib_save_LIBS=$LIBS
13167 < LIBS="-lmpi  $LIBS"
13167 > LIBS="-lpmpich -lmpich -lpmpich -lmpich $LIBS"
13168   cat >conftest.$ac_ext <<_ACEOF
13169   /* confdefs.h.  */
13170   _ACEOF
# Line 13248 | Line 13217 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13217    ac_status=$?
13218    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13219    (exit $ac_status); }; }; then
13220 <  ac_cv_lib_mpi_MPI_Init=yes
13220 >  ac_cv_lib_pmpich_MPI_Init=yes
13221   else
13222    echo "$as_me: failed program was:" >&5
13223   sed 's/^/| /' conftest.$ac_ext >&5
13224  
13225 < ac_cv_lib_mpi_MPI_Init=no
13225 > ac_cv_lib_pmpich_MPI_Init=no
13226   fi
13227   rm -f conftest.err conftest.$ac_objext \
13228        conftest$ac_exeext conftest.$ac_ext
13229   LIBS=$ac_check_lib_save_LIBS
13230   fi
13231 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13232 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13233 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
13234 <  MPI_LIB="-lmpi"
13231 > echo "$as_me:$LINENO: result: $ac_cv_lib_pmpich_MPI_Init" >&5
13232 > echo "${ECHO_T}$ac_cv_lib_pmpich_MPI_Init" >&6
13233 > if test $ac_cv_lib_pmpich_MPI_Init = yes; then
13234 >  MPI_LIB="-lpmpich -lmpich -lpmpich -lmpich"
13235   fi
13236  
13237   fi
13269 $as_unset ac_cv_lib_mpi_MPI_Init
13238   if test x = x"$MPI_LIB"; then
13239          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13240   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
# Line 13274 | Line 13242 | LIBS="-lmpi "-llam" $LIBS"
13242    echo $ECHO_N "(cached) $ECHO_C" >&6
13243   else
13244    ac_check_lib_save_LIBS=$LIBS
13245 < LIBS="-lmpi "-llam" $LIBS"
13245 > LIBS="-lmpi  $LIBS"
13246   cat >conftest.$ac_ext <<_ACEOF
13247   /* confdefs.h.  */
13248   _ACEOF
# Line 13341 | Line 13309 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
13309   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13310   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13311   if test $ac_cv_lib_mpi_MPI_Init = yes; then
13312 <  MPI_LIB="-lmpi -llam"
13312 >  MPI_LIB="-lmpi"
13313   fi
13314  
13315   fi
13316 < $as_unset ac_cv_lib_mpich_MPI_Init
13316 > $as_unset ac_cv_lib_mpi_MPI_Init
13317   if test x = x"$MPI_LIB"; then
13318 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13319 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13320 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13318 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13319 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13320 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13321    echo $ECHO_N "(cached) $ECHO_C" >&6
13322   else
13323    ac_check_lib_save_LIBS=$LIBS
13324 < LIBS="-lmpich "-lpmpich" $LIBS"
13324 > LIBS="-lmpi -llam $LIBS"
13325   cat >conftest.$ac_ext <<_ACEOF
13326   /* confdefs.h.  */
13327   _ACEOF
# Line 13406 | Line 13374 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13374    ac_status=$?
13375    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13376    (exit $ac_status); }; }; then
13377 <  ac_cv_lib_mpich_MPI_Init=yes
13377 >  ac_cv_lib_mpi_MPI_Init=yes
13378   else
13379    echo "$as_me: failed program was:" >&5
13380   sed 's/^/| /' conftest.$ac_ext >&5
13381  
13382 < ac_cv_lib_mpich_MPI_Init=no
13382 > ac_cv_lib_mpi_MPI_Init=no
13383   fi
13384   rm -f conftest.err conftest.$ac_objext \
13385        conftest$ac_exeext conftest.$ac_ext
13386   LIBS=$ac_check_lib_save_LIBS
13387   fi
13388 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13389 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13390 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
13391 <  MPI_LIB="-lpmpich -lmpich"
13388 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13389 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13390 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
13391 >  MPI_LIB="-lmpi -llam"
13392   fi
13393  
13394   fi
13427
13395   $as_unset ac_cv_lib_mpi_MPI_Init
13396   if test x = x"$MPI_LIB"; then
13397   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 14139 | Line 14106 | fi
14106  
14107  
14108  
14109 <                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
14109 >                                                  ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile src/applications/utilities/affineScale scripts/filepp"
14110  
14111  
14112   cat >confcache <<\_ACEOF
# Line 14673 | Line 14640 | do
14640    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
14641    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
14642    "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
14643 +  "src/applications/utilities/affineScale" ) CONFIG_FILES="$CONFIG_FILES src/applications/utilities/affineScale" ;;
14644    "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
14645    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
14646    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
# Line 14771 | Line 14739 | s,@CXX@,$CXX,;t t
14739   s,@host_os@,$host_os,;t t
14740   s,@PROGNAME@,$PROGNAME,;t t
14741   s,@debug@,$debug,;t t
14742 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14743   s,@CXX@,$CXX,;t t
14744   s,@CXXFLAGS@,$CXXFLAGS,;t t
14745   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 14808 | Line 14777 | s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14777   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14778   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14779   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14780 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14781 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14782 + s,@ZLIB@,$ZLIB,;t t
14783   s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14784   s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14785   s,@FFTW_LIBS@,$FFTW_LIBS,;t t
# Line 15078 | Line 15050 | s,@INSTALL@,$ac_INSTALL,;t t
15050  
15051    # Run the commands associated with the file.
15052    case $ac_file in
15053 <    make/Makefile ) chmod 0755 scripts/* ;;
15054 <    src/utils/Makefile ) chmod 0755 scripts/* ;;
15055 <    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
15056 <    scripts/filepp ) chmod 0755 scripts/* ;;
15053 >    make/Makefile ) chmod 0755 scripts/* src/applications/utilities/affineScale ;;
15054 >    src/utils/Makefile ) chmod 0755 scripts/* src/applications/utilities/affineScale ;;
15055 >    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* src/applications/utilities/affineScale ;;
15056 >    src/applications/utilities/affineScale ) chmod 0755 scripts/* src/applications/utilities/affineScale ;;
15057 >    scripts/filepp ) chmod 0755 scripts/* src/applications/utilities/affineScale ;;
15058    esac
15059   done
15060   _ACEOF

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines